# Generated by Django 4.0.3 on 2022-04-04 16:33

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import netbox_documents.utils
import taggit.managers


class Migration(migrations.Migration):

    replaces = [('netbox_documents', '0001_initial'), ('netbox_documents', '0002_devicedocument_document'), ('netbox_documents', '0003_alter_circuitdocument_name_alter_devicedocument_name_and_more'), ('netbox_documents', '0004_remove_circuitdocument_file_name_and_more'), ('netbox_documents', '0005_alter_sitedocument_options')]

    initial = True

    dependencies = [
        ('extras', '0072_created_datetimefield'),
        ('dcim', '0153_created_datetimefield'),
        ('circuits', '0034_created_datetimefield'),
    ]

    operations = [
        migrations.CreateModel(
            name='DeviceDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='dcim.device')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='extras.TaggedItem', to='extras.Tag', verbose_name='Tags')),
                ('document', models.FileField(default=None, upload_to=netbox_documents.utils.file_upload)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='CircuitDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('circuit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='circuits.circuit')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='extras.TaggedItem', to='extras.Tag', verbose_name='Tags')),
                ('document', models.FileField(default=None, upload_to=netbox_documents.utils.file_upload)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='SiteDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('name', models.CharField(blank=True, max_length=100)),
                ('document_type', models.CharField(max_length=30)),
                ('comments', models.TextField(blank=True)),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='dcim.site')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='extras.TaggedItem', to='extras.Tag', verbose_name='Tags')),
                ('document', models.FileField(default=None, upload_to=netbox_documents.utils.file_upload)),
            ],
            options={
                'ordering': ('-created', 'name'),
            },
        ),
    ]
